OAuthProvider::tokenHandler
SCA
OAuth
PHP Manual

# OAuthException class

## Introduction

This exception is thrown when exceptional errors occur while using the OAuth extension and contains useful debugging information.

## Class synopsis

OAuthException
OAuthException extends Exception {
/* Properties */
public $lastResponse ;
public $debugInfo ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

message

  A human readable message about what went wrong

code

  Exception code

file

  File where exception was thrown

line

  File where exception was thrown

lastResponse

  The response of the exception which occurred, if any

debugInfo

OAuthProvider::tokenHandler
SCA
OAuth
PHP Manual